%define module_name Task-POE-Filter-Compression
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(POE.pm) perl(POE/Filter/Bzip2.pm) perl(POE/Filter/LZF.pm) perl(POE/Filter/LZO.pm) perl(POE/Filter/LZW.pm) perl(POE/Filter/Zlib.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt1
Summary: A Task to install all compression related POE Filters.
Group: Development/Perl
License: perl
URL: https://github.com/bingos/task-poe-filter-compression

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This the Task manpage module installs all compression related the POE::Filter manpage modules, namely:

  POE 1.0001

  POE::Filter::Bzip2 1.54

  POE::Filter::LZF 1.64

  POE::Filter::LZO 1.64

  POE::Filter::LZW 1.64

  POE::Filter::Zlib 1.93


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes.old Changes README
%perl_vendor_privlib/T*

%changelog
* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- regenerated from template by package builder

* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

